"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delay = (ms) => new Promise((resolve) => setTimeout(resolve, ms, ms));
exports.extendPromise = (promise) => {
    let isPending = true;
    return {
        isPending: () => isPending,
        promise: new Promise((resolve) => {
            promise.then((v) => {
                isPending = false;
                resolve(v);
            }, (error) => {
                isPending = false;
                resolve(error);
            });
        }),
    };
};
