"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
exports.statusToType = (status) => {
    switch (status) {
        case 'success':
            return 'green';
        case 'error':
        default:
            return 'red';
    }
};
const styling = (text, type) => {
    if (typeof text === 'number') {
        text = text.toString();
    }
    switch (type) {
        case 'green':
            return chalk.green(text);
        case 'red':
            return chalk.red(text);
        case 'underline':
            return chalk.underline(text);
        case 'bold':
            return chalk.bold(text);
        default:
            return text;
    }
};
exports.default = styling;
