"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const sort = (a, b) => {
    const pathA = path_1.dirname(a.file);
    const pathB = path_1.dirname(b.file);
    const fileA = path_1.basename(a.file);
    const fileB = path_1.basename(b.file);
    if (pathA === pathB) {
        if (fileA === fileB) {
            return 0;
        }
        return fileA > fileB ? 1 : -1;
    }
    return pathA > pathB ? 1 : -1;
};
exports.default = sort;
