import { ArgvObjectType } from './types';
export declare const getFileListsCallback: (rootDirectory?: string | undefined) => (path: string) => string;
declare const appExecute: (argvArray: string[], argvObject: ArgvObjectType, cwdDirectory: string, cpuCount: number, cpuUsed: number) => Promise<{
    cleanedUpFiles: string[];
    thresholdData: import("./types").ThresholdGroupType<import("./types").ThresholdValueType>[];
    thresholdLimits: {
        statements: number;
        branches: number;
        functions: number;
        lines: number;
    };
}>;
export default appExecute;
