"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const glob_1 = __importDefault(require("glob"));
const getFileList = (pattern, cwd, path) => new Promise((resolve, reject) => {
    glob_1.default(pattern, { cwd }, (error, matches) => error ? reject(error) : resolve(matches.map((match) => path_1.join(path, match))));
});
exports.default = getFileList;
