"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
exports.hasFileAccess = (file, mode) => new Promise((resolve) => fs_1.access(file, mode, (error) => resolve(!error)));
exports.createFolder = (pathname, name) => new Promise((resolve, reject) => {
    const path = path_1.join(pathname, typeof name === 'string' ? name : `child-${name}`);
    fs_1.mkdir(path, { recursive: true }, (error) => (error ? reject(error) : resolve(path)));
});
