import { JestConfigType } from './types';
export declare const getCoverageDirectory: (config: Record<string, unknown>) => string;
export declare const getCoveragePathIgnorePatterns: (config: Record<string, unknown>) => any[];
export declare const getRootDirectory: (config: Record<string, unknown>, cwdDirectory: string) => string;
export declare const getRoots: (config: Record<string, unknown>, rootDirectory: string) => any[];
export declare const getThresholdLimits: (config: Record<string, unknown>) => Partial<Record<"statements" | "branches" | "functions" | "lines", number>>;
declare const normalizeConfig: (config: Record<string, unknown>, cwdDirectory: string) => JestConfigType & {
    thresholdLimits: Partial<Record<"statements" | "branches" | "functions" | "lines", number>>;
};
export default normalizeConfig;
